> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retailgrid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Acknowledge Approved Prices

> Confirm successful downstream processing of up to 500 exact approval IDs.



## OpenAPI

````yaml https://clientapi.retailgrid.io/openapi.json post /v1/approved_prices/acknowledge
openapi: 3.1.0
info:
  title: Retailgrid Public API
  version: v1
servers: []
security: []
paths:
  /v1/approved_prices/acknowledge:
    post:
      tags:
        - approved_prices
      summary: Acknowledge Approved Prices
      description: >-
        Confirm successful downstream processing of up to 500 exact approval
        IDs.
      operationId: acknowledge_approved_prices_v1_approved_prices_acknowledge_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AcknowledgePricesRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PriceExportMutationResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AcknowledgePricesRequest:
      properties:
        approved_price_ids:
          items:
            type: integer
          type: array
          maxItems: 500
          minItems: 1
          title: Approved Price Ids
      additionalProperties: false
      type: object
      required:
        - approved_price_ids
      title: AcknowledgePricesRequest
    PriceExportMutationResult:
      properties:
        updated_count:
          type: integer
          title: Updated Count
        unchanged_count:
          type: integer
          title: Unchanged Count
          default: 0
      type: object
      required:
        - updated_count
      title: PriceExportMutationResult
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````